Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-13151

add support for npm GET /-/v1/search resource

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.3.1
    • Fix Version/s: 3.7.0
    • Component/s: NPM
    • Labels:

      Description

      Nexus 2 and 3 do not yet support the npm GET /-/v1/search resource used by npm client version 4.5.0 and newer. They only support the -/all resource.

      http://blog.npmjs.org/post/157615772423/deprecating-the-all-registry-endpoint

      This improvement is to track adding support for the new v1/search resource in Nexus 3.x.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            plynch Peter Lynch
            Last Updated By:
            Peter Lynch
            Votes:
            6 Vote for this issue
            Watchers:
            13 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Date of First Response:

                tigCommentSecurity.panel-title